GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Classes | Macros | Typedefs | Functions | Variables
streaming_pagerank.cpp File Reference
`#include <string>`
`#include <fstream>`
`#include <cmath>`
`#include "graphchi_basic_includes.hpp"`
`#include "engine/dynamic_graphs/graphchi_dynamicgraph_engine.hpp"`
`#include "util/toplist.hpp"`
`#include "httpadmin/chi_httpadmin.hpp"`
`#include "httpadmin/plotter.hpp"`

## Classes
struct | PagerankProgram

## Macros
#define | THRESHOLD 1e-1f
#define | RANDOMRESETPROB 0.15f
#define | DEMO 1

## Typedefs
typedef float | VertexDataType
typedef float | EdgeDataType

## Functions
std::string | getname (vid_t v)
void * | plotter_thread (void *info)
void * | dynamic_graph_reader (void *info)
int | main (int argc, const char **argv)

## Variables
graphchi_dynamicgraph_engine < float, float > * | dyngraph_engine
std::string | streaming_graph_file
bool | running = true

## Detailed Description

Author:
  Aapo Kyrola akyro.nosp@m.la@c.nosp@m.s.cmu.nosp@m..edu

Version:
  1.0

# LICENSE

Copyright [2012] [Aapo Kyrola, Guy Blelloch, Carlos Guestrin / Carnegie Mellon University]

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

# DESCRIPTION

Demonstration for streaming graph updates. This application reads from a file list of edges and adds them into the graph continuously. Simultaneously, pagerank is computed for the evolving graph.

## Function Documentation

void * dynamic_graph_reader | ( | void * | info | ) |

Function executed by a separate thread that streams graph from a file.